<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];            //*********** 27/10/10  ***********
$id_user = $_SESSION['ss_user'];	
include("../conex.php");

$cntch=$_POST["txtcntch"];	
$cliente=$_POST["rutc"];
$lstbanco = $_POST["lstbanco"];


$contado=$_POST["txtcontado"];
if ($contado=='')$contado =0;

$comproban=$_POST["comproban"];
$observacion=$_POST["txtdescripcion"];

$id_vendedor=$_POST["id_vendedor"];
$id_bodega=$_POST["id_bodega"];

$tranferencia=$_POST["txttranferencia"];
if ($tranferencia=='')$tranferencia =0;

$total=$_POST["txttotalch"];
if ($total =='') $total =0;
$fecha_caja=$_POST["fecha"];
if ($fecha_caja=='') $fecha_caja = date(Y)."/".date(m)."/".date(d);

$hora= date('H:i:s');

$documento=0;
$documento = $total - $contado - $tranferencia;


$fecha_caja=$fecha_caja[6].$fecha_caja[7].$fecha_caja[8].$fecha_caja[9]."-".$fecha_caja[3].$fecha_caja[4]."-".$fecha_caja[0].$fecha_caja[1];

//***************** Numero de Recibo Cliente ****************************
$numero_documento=0;

	$numero_documento= $comproban;	
//************  comprueba si existe comprobante ***********
	$sql_empresa = "SELECT * FROM cabeza_pago_cliente WHERE comprobante='$numero_documento'";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$row=$row+1;
		}
		
		if ($row!=0) {$numero_documento=$numero_documento.'-'.$row;}



$sql_ia = "INSERT INTO cabeza_pago_cliente (rut, contado, tranferencia, documento, total, fecha, comprobante, id_vendedor, observacion, hora) VALUES ('$cliente', $contado, $tranferencia, $documento, $total, '$fecha_caja', '$numero_documento', $id_vendedor, '$observacion', '$hora')";

$res_ia = mysql_query($sql_ia,$enlace);

//++++++++++++++++++++++++++++ Sacar el ultimo
$sql_ultimo = "SELECT id FROM cabeza_pago_cliente WHERE id=last_insert_id()";
$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
$id_pago = mysql_result($res_ultimo, 0, "id");
$cnt=1;
while ($cnt<$cntch)
	{
	$numcheque = $txtnumch[$cnt];
	$numctacte = $txtctacte[$cnt];
	$fechaem = $_POST["fechae".$cnt];
	
	$dia = substr ($fechaem, 0, 2);
	$mes = substr ($fechaem, 3, 2);
	$aņo = substr ($fechaem, 6, 4); 
	$fechaem = "$aņo-$mes-$dia";
	$fechave = $_POST["fechav".$cnt];
	$dia = substr ($fechave, 0, 2);
	$mes = substr ($fechave, 3, 2);
	$aņo = substr ($fechave, 6, 4); 
	$fechave = "$aņo-$mes-$dia";
	$valor = $txtcnt[$cnt];
	if ($numcheque!='')
		{
		$sql_ia = "INSERT INTO documentos_clientes (cheque, ctacte, fecha_em, fecha_ven, monto, id_banco, rut, id_cpc, comprobante) VALUES ('$numcheque', '$numctacte', '$fechaem', '$fechave', $valor, $lstbanco, '$cliente', $id_pago, '$numero_documento')";
$res_ia = mysql_query($sql_ia,$enlace);
		
		}

	
	$cnt+=1;
	}

	?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Graba cheques</title>
<script type="text/javascript" src="../css/validarut.js"></script>
<script language="javascript" src="../css/cal.js" type="text/javascript"></script>

<style type="text/css">
<!--
.Estilo11 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; }
body {
	background-color: #CCCCCC;
	margin-left: 0px;
	margin-top: 3px;
	margin-right: 0px;
	margin-bottom: 0px;
}
select {
	clear: right;
	float: left;
	height: auto;
	width: 267px;
}
-->
</style></head>

</head>

<body alink="CCCCCC" link="CCCCCC" vlink="CCCCCC">
</body>
</html>

<script language="javascript">
	window.opener.document.getElementById("txtidpago").value=<?=$id_pago;?>;
	window.opener.enviar();
	window.top.open('','_parent','');
    window.top.close();
</script>